<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/KWD/KittAi/test/KittAiKeyWordDetectorTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d0ae40f34093660421d9f00fd3d110f5.html">KWD</a></li><li class="navelem"><a class="el" href="dir_07f50320bebe2b4870f5c0b96b76b257.html">KittAi</a></li><li class="navelem"><a class="el" href="dir_c5835f644fe0e9cc01cac19012924024.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">KittAiKeyWordDetectorTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;chrono&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;memory&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;thread&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_key_word_observer_interface_8h_source.html">AVSCommon/SDKInterfaces/KeyWordObserverInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_key_word_detector_state_observer_interface_8h_source.html">AVSCommon/SDKInterfaces/KeyWordDetectorStateObserverInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_audio_input_stream_8h_source.html">AVSCommon/AVS/AudioInputStream.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_shared_data_stream_8h_source.html">AVSCommon/Utils/SDS/SharedDataStream.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_kitt_ai_key_word_detector_8h_source.html">KittAi/KittAiKeyWordDetector.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for KittAiKeyWordDetectorTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_kitt_ai_key_word_detector_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_k_w_d_2_kitt_ai_2test_2_kitt_ai_key_word_detector_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_k_w_d_2_kitt_ai_2test_2_kitt_ai_key_word_detector_test_8cpp" id="_2workplace_2avs-device-sdk_2_k_w_d_2_kitt_ai_2test_2_kitt_ai_key_word_detector_test_8cpp">
<area shape="rect" id="node9" href="_key_word_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/KeyWordObserverInterface.h" alt="" coords="1616,259,1813,297"/>
<area shape="rect" id="node12" href="_audio_input_stream_8h.html" title="AVSCommon/AVS/AudioInput\lStream.h" alt="" coords="2077,352,2275,391"/>
<area shape="rect" id="node17" href="_shared_data_stream_8h.html" title="SharedDataStream.h" alt="" coords="1156,525,1303,551"/>
<area shape="rect" id="node39" href="_key_word_detector_state_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/KeyWordDetectorStateObserver\lInterface.h" alt="" coords="2120,252,2336,304"/>
<area shape="rect" id="node40" href="_kitt_ai_key_word_detector_8h.html" title="KittAi/KittAiKeyWordDetector.h" alt="" coords="1681,105,1884,131"/>
<area shape="rect" id="node13" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="2111,439,2273,477"/>
<area shape="rect" id="node20" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="1051,672,1227,711"/>
<area shape="rect" id="node33" href="_buffer_layout_8h.html" title="BufferLayout.h" alt="" coords="910,599,1018,624"/>
<area shape="rect" id="node34" href="_reader_8h.html" title="Reader.h" alt="" coords="1606,599,1682,624"/>
<area shape="rect" id="node37" href="_writer_8h.html" title="Writer.h" alt="" coords="1362,599,1430,624"/>
<area shape="rect" id="node21" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="963,759,1139,797"/>
<area shape="rect" id="node23" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="1173,845,1387,884"/>
<area shape="rect" id="node25" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="977,932,1153,971"/>
<area shape="rect" id="node26" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="549,845,725,884"/>
<area shape="rect" id="node31" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="952,845,1149,884"/>
<area shape="rect" id="node32" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="144,1019,320,1057"/>
<area shape="rect" id="node27" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="545,932,721,971"/>
<area shape="rect" id="node29" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="437,1019,613,1057"/>
<area shape="rect" id="node36" href="_reader_policy_8h.html" title="ReaderPolicy.h" alt="" coords="1715,679,1826,704"/>
<area shape="rect" id="node38" href="_writer_policy_8h.html" title="WriterPolicy.h" alt="" coords="1301,679,1403,704"/>
<area shape="rect" id="node43" href="_audio_format_8h.html" title="AVSCommon/Utils/AudioFormat.h" alt="" coords="1350,265,1572,291"/>
<area shape="rect" id="node44" href="_abstract_keyword_detector_8h.html" title="KWD/AbstractKeywordDetector.h" alt="" coords="1747,179,1965,204"/>
<area shape="rect" id="node45" href="_snowboy_wrapper_8h.html" title="KittAi/SnowboyWrapper.h" alt="" coords="1499,179,1671,204"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1test_key_word_observer.html">alexaClientSDK::kwd::test::testKeyWordObserver</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">A test observer that mocks out the KeyWordObserverInterface#<a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1test_key_word_observer.html#a09ea740d947be4bab780ff64ce167a3c" title="Implementation of the KeyWordObserverInterface#onKeyWordDetected() call. ">onKeyWordDetected()</a> call.  <a href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1test_key_word_observer.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1kwd_1_1test_1_1test_key_word_observer_1_1detection_result.html">alexaClientSDK::kwd::test::testKeyWordObserver::detectionResult</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">A struct used for bookkeeping of keyword detections.  <a href="structalexa_client_s_d_k_1_1kwd_1_1test_1_1test_key_word_observer_1_1detection_result.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1test_state_observer.html">alexaClientSDK::kwd::test::testStateObserver</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">A test observer that mocks out the KeyWordDetectorStateObserverInterface#<a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1test_state_observer.html#a6668201b19bc6712dc5a38457c9d2e8d" title="Implementation of the KeyWordDetectorStateObserverInterface#onStateChanged() call. ">onStateChanged()</a> call.  <a href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1test_state_observer.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_kitt_ai_key_word_test.html">alexaClientSDK::kwd::test::KittAiKeyWordTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1kwd"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd.html">alexaClientSDK::kwd</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1kwd_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html">alexaClientSDK::kwd::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a5d045e0b1b76cf5fc469653516900d76"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a5d045e0b1b76cf5fc469653516900d76">alexaClientSDK::kwd::test::TEST_F</a> (KittAiKeyWordTest, test_invalidStream)</td></tr>
<tr class="memdesc:a5d045e0b1b76cf5fc469653516900d76"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that we don't get back a valid detector if an invalid stream is passed in.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a5d045e0b1b76cf5fc469653516900d76">More...</a><br /></td></tr>
<tr class="separator:a5d045e0b1b76cf5fc469653516900d76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5aa6165f23d78f699136f4ec7b8adc7d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a5aa6165f23d78f699136f4ec7b8adc7d">alexaClientSDK::kwd::test::TEST_F</a> (KittAiKeyWordTest, test_incompatibleEndianness)</td></tr>
<tr class="memdesc:a5aa6165f23d78f699136f4ec7b8adc7d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that we don't get back a valid detector if an invalid endianness is passed in.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a5aa6165f23d78f699136f4ec7b8adc7d">More...</a><br /></td></tr>
<tr class="separator:a5aa6165f23d78f699136f4ec7b8adc7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab513feb8487839d7c0d2dfe280e6f075"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#ab513feb8487839d7c0d2dfe280e6f075">alexaClientSDK::kwd::test::TEST_F</a> (KittAiKeyWordTest, test_getExpectedNumberOfDetectionsInFourAlexasAudioFileForOneObserver)</td></tr>
<tr class="memdesc:ab513feb8487839d7c0d2dfe280e6f075"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that we get back the expected number of keywords for the four_alexa.wav file for one keyword observer.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#ab513feb8487839d7c0d2dfe280e6f075">More...</a><br /></td></tr>
<tr class="separator:ab513feb8487839d7c0d2dfe280e6f075"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e6c97563527d4c7329107bd7ac0480f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a2e6c97563527d4c7329107bd7ac0480f">alexaClientSDK::kwd::test::TEST_F</a> (KittAiKeyWordTest, test_getExpectedNumberOfDetectionsInFourAlexasAudioFileForTwoObservers)</td></tr>
<tr class="memdesc:a2e6c97563527d4c7329107bd7ac0480f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that we get back the expected number of keywords for the four_alexa.wav file for two keyword observers.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a2e6c97563527d4c7329107bd7ac0480f">More...</a><br /></td></tr>
<tr class="separator:a2e6c97563527d4c7329107bd7ac0480f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add500665018180aa4c47ae6df27c0105"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#add500665018180aa4c47ae6df27c0105">alexaClientSDK::kwd::test::TEST_F</a> (KittAiKeyWordTest, test_getExpectedNumberOfDetectionsInAlexaStopAlexaJokeAudioFileForOneObserver)</td></tr>
<tr class="separator:add500665018180aa4c47ae6df27c0105"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9478ea427f0664cf4b0fa8cc40133be8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a9478ea427f0664cf4b0fa8cc40133be8">alexaClientSDK::kwd::test::TEST_F</a> (KittAiKeyWordTest, test_getExpectedNumberOfDetectionsInAlexaStopAlexaJokeAudioFileForTwoObservers)</td></tr>
<tr class="separator:a9478ea427f0664cf4b0fa8cc40133be8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a940c9e1a2ffcb7b7fc0b10c7018483c0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a940c9e1a2ffcb7b7fc0b10c7018483c0">alexaClientSDK::kwd::test::TEST_F</a> (KittAiKeyWordTest, test_getActiveState)</td></tr>
<tr class="memdesc:a940c9e1a2ffcb7b7fc0b10c7018483c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that the detector state changes to ACTIVE when the detector is initialized properly.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a940c9e1a2ffcb7b7fc0b10c7018483c0">More...</a><br /></td></tr>
<tr class="separator:a940c9e1a2ffcb7b7fc0b10c7018483c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70a61b955f9129dce4a2731673d2a8c0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a70a61b955f9129dce4a2731673d2a8c0">alexaClientSDK::kwd::test::TEST_F</a> (KittAiKeyWordTest, test_getStreamClosedState)</td></tr>
<tr class="separator:a70a61b955f9129dce4a2731673d2a8c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_kitt_ai_key_word_detector_test_8cpp.html#a3c04138a5bfe5d72780bb7e82a18e627">main</a> (int argc, char **argv)</td></tr>
<tr class="separator:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a1a1dd27ec00830818b8e03e9551a9098"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a1a1dd27ec00830818b8e03e9551a9098">alexaClientSDK::kwd::test::inputsDirPath</a></td></tr>
<tr class="memdesc:a1a1dd27ec00830818b8e03e9551a9098"><td class="mdescLeft">&#160;</td><td class="mdescRight">The path to the inputs folder that should be passed in via command line argument.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a1a1dd27ec00830818b8e03e9551a9098">More...</a><br /></td></tr>
<tr class="separator:a1a1dd27ec00830818b8e03e9551a9098"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b2979be92b3c8dcf46f2088e61efbca"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a9b2979be92b3c8dcf46f2088e61efbca">alexaClientSDK::kwd::test::RESOURCE_FILE</a> = &quot;/KittAiModels/common.res&quot;</td></tr>
<tr class="memdesc:a9b2979be92b3c8dcf46f2088e61efbca"><td class="mdescLeft">&#160;</td><td class="mdescRight">The name of the resource file required for Kitt.ai.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a9b2979be92b3c8dcf46f2088e61efbca">More...</a><br /></td></tr>
<tr class="separator:a9b2979be92b3c8dcf46f2088e61efbca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af14bd7c5da0f53186d0bad2bf353da47"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#af14bd7c5da0f53186d0bad2bf353da47">alexaClientSDK::kwd::test::MODEL_FILE</a> = &quot;/KittAiModels/alexa.umdl&quot;</td></tr>
<tr class="memdesc:af14bd7c5da0f53186d0bad2bf353da47"><td class="mdescLeft">&#160;</td><td class="mdescRight">The name of the Alexa model file for Kitt.ai.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#af14bd7c5da0f53186d0bad2bf353da47">More...</a><br /></td></tr>
<tr class="separator:af14bd7c5da0f53186d0bad2bf353da47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a165bc3f51387b45171f06080cdbfad32"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a165bc3f51387b45171f06080cdbfad32">alexaClientSDK::kwd::test::MODEL_KEYWORD</a> = &quot;ALEXA&quot;</td></tr>
<tr class="memdesc:a165bc3f51387b45171f06080cdbfad32"><td class="mdescLeft">&#160;</td><td class="mdescRight">The keyword associated with alexa.umdl.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a165bc3f51387b45171f06080cdbfad32">More...</a><br /></td></tr>
<tr class="separator:a165bc3f51387b45171f06080cdbfad32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abca096b7665de28e4dc2916dd8c74ce7"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#abca096b7665de28e4dc2916dd8c74ce7">alexaClientSDK::kwd::test::FOUR_ALEXAS_AUDIO_FILE</a> = &quot;/four_alexa.wav&quot;</td></tr>
<tr class="memdesc:abca096b7665de28e4dc2916dd8c74ce7"><td class="mdescLeft">&#160;</td><td class="mdescRight">The name of a test audio file.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#abca096b7665de28e4dc2916dd8c74ce7">More...</a><br /></td></tr>
<tr class="separator:abca096b7665de28e4dc2916dd8c74ce7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18e4a7fbfeb01517e2e79c297ae3f73b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a18e4a7fbfeb01517e2e79c297ae3f73b">alexaClientSDK::kwd::test::ALEXA_STOP_ALEXA_JOKE_AUDIO_FILE</a> = &quot;/alexa_stop_alexa_joke.wav&quot;</td></tr>
<tr class="memdesc:a18e4a7fbfeb01517e2e79c297ae3f73b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The name of a test audio file.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a18e4a7fbfeb01517e2e79c297ae3f73b">More...</a><br /></td></tr>
<tr class="separator:a18e4a7fbfeb01517e2e79c297ae3f73b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e4e62f0f7da1153ae0cc33b4c08a16c"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a3e4e62f0f7da1153ae0cc33b4c08a16c">alexaClientSDK::kwd::test::SAMPLES_PER_MS</a> = 16</td></tr>
<tr class="memdesc:a3e4e62f0f7da1153ae0cc33b4c08a16c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The number of samples per millisecond, assuming a sample rate of 16 kHz.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a3e4e62f0f7da1153ae0cc33b4c08a16c">More...</a><br /></td></tr>
<tr class="separator:a3e4e62f0f7da1153ae0cc33b4c08a16c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03ced8888e6f82d0e6abcc833064d026"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a03ced8888e6f82d0e6abcc833064d026">alexaClientSDK::kwd::test::MARGIN</a> = std::chrono::milliseconds(100)</td></tr>
<tr class="memdesc:a03ced8888e6f82d0e6abcc833064d026"><td class="mdescLeft">&#160;</td><td class="mdescRight">The margin in milliseconds for testing indices of keyword detections.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a03ced8888e6f82d0e6abcc833064d026">More...</a><br /></td></tr>
<tr class="separator:a03ced8888e6f82d0e6abcc833064d026"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9b22b3df86a60a6dbb8d06e0ba89f66"><td class="memItemLeft" align="right" valign="top">static const AudioInputStream::Index&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#ad9b22b3df86a60a6dbb8d06e0ba89f66">alexaClientSDK::kwd::test::MARGIN_IN_SAMPLES</a> = MARGIN.count() * SAMPLES_PER_MS</td></tr>
<tr class="memdesc:ad9b22b3df86a60a6dbb8d06e0ba89f66"><td class="mdescLeft">&#160;</td><td class="mdescRight">The margin in samples for testing indices of keyword detections.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#ad9b22b3df86a60a6dbb8d06e0ba89f66">More...</a><br /></td></tr>
<tr class="separator:ad9b22b3df86a60a6dbb8d06e0ba89f66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15d6a8e95c80fb57eeb45610247e840f"><td class="memItemLeft" align="right" valign="top">static const size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a15d6a8e95c80fb57eeb45610247e840f">alexaClientSDK::kwd::test::NUM_ALEXAS_IN_FOUR_ALEXAS_AUDIO_FILE</a> = 4</td></tr>
<tr class="memdesc:a15d6a8e95c80fb57eeb45610247e840f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The number of "Alexa" keywords in the four_alexa.wav file.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a15d6a8e95c80fb57eeb45610247e840f">More...</a><br /></td></tr>
<tr class="separator:a15d6a8e95c80fb57eeb45610247e840f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e0a968ddd22594ae7e08ae24603ffc2"><td class="memItemLeft" align="right" valign="top">std::vector&lt; AudioInputStream::Index &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a5e0a968ddd22594ae7e08ae24603ffc2">alexaClientSDK::kwd::test::END_INDICES_OF_ALEXAS_IN_FOUR_ALEXAS_AUDIO_FILE</a> = {21440, 52800, 72480, 91552}</td></tr>
<tr class="memdesc:a5e0a968ddd22594ae7e08ae24603ffc2"><td class="mdescLeft">&#160;</td><td class="mdescRight">The approximate end indices of the four "Alexa" hotwords in the four_alexa.wav file.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a5e0a968ddd22594ae7e08ae24603ffc2">More...</a><br /></td></tr>
<tr class="separator:a5e0a968ddd22594ae7e08ae24603ffc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89c0345a29b9b5b1ba2ad7a5a0c0f4ea"><td class="memItemLeft" align="right" valign="top">static const size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a89c0345a29b9b5b1ba2ad7a5a0c0f4ea">alexaClientSDK::kwd::test::NUM_ALEXAS_IN_ALEXA_STOP_ALEXA_JOKE_AUDIO_FILE</a> = 2</td></tr>
<tr class="memdesc:a89c0345a29b9b5b1ba2ad7a5a0c0f4ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">The number of "Alexa" keywords in the alexa_stop_alexa_joke.wav file.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a89c0345a29b9b5b1ba2ad7a5a0c0f4ea">More...</a><br /></td></tr>
<tr class="separator:a89c0345a29b9b5b1ba2ad7a5a0c0f4ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a210852632c3a4ad68f548ffe0dda431b"><td class="memItemLeft" align="right" valign="top">std::vector&lt; AudioInputStream::Index &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a210852632c3a4ad68f548ffe0dda431b">alexaClientSDK::kwd::test::END_INDICES_OF_ALEXAS_IN_ALEXA_STOP_ALEXA_JOKE_AUDIO_FILE</a> = {20960, 51312}</td></tr>
<tr class="memdesc:a210852632c3a4ad68f548ffe0dda431b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The approximate end indices of the two "Alexa" hotwords in the alexa_stop_alexa_joke.wav file.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a210852632c3a4ad68f548ffe0dda431b">More...</a><br /></td></tr>
<tr class="separator:a210852632c3a4ad68f548ffe0dda431b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac76fc1017615776ec0b7c5bd28cea62a"><td class="memItemLeft" align="right" valign="top">static const avsCommon::utils::AudioFormat::Encoding&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#ac76fc1017615776ec0b7c5bd28cea62a">alexaClientSDK::kwd::test::COMPATIBLE_ENCODING</a></td></tr>
<tr class="memdesc:ac76fc1017615776ec0b7c5bd28cea62a"><td class="mdescLeft">&#160;</td><td class="mdescRight">The compatible encoding for Kitt.ai.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#ac76fc1017615776ec0b7c5bd28cea62a">More...</a><br /></td></tr>
<tr class="separator:ac76fc1017615776ec0b7c5bd28cea62a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad457b45b883ed3618063503cce8233d5"><td class="memItemLeft" align="right" valign="top">static const avsCommon::utils::AudioFormat::Endianness&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#ad457b45b883ed3618063503cce8233d5">alexaClientSDK::kwd::test::COMPATIBLE_ENDIANNESS</a></td></tr>
<tr class="memdesc:ad457b45b883ed3618063503cce8233d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">The compatible endianness for Kitt.ai.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#ad457b45b883ed3618063503cce8233d5">More...</a><br /></td></tr>
<tr class="separator:ad457b45b883ed3618063503cce8233d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9820adc1f824cd86cddeb5b8ec8867b1"><td class="memItemLeft" align="right" valign="top">static const unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a9820adc1f824cd86cddeb5b8ec8867b1">alexaClientSDK::kwd::test::COMPATIBLE_SAMPLE_RATE</a> = 16000</td></tr>
<tr class="memdesc:a9820adc1f824cd86cddeb5b8ec8867b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">The compatible sample rate for Kitt.ai.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a9820adc1f824cd86cddeb5b8ec8867b1">More...</a><br /></td></tr>
<tr class="separator:a9820adc1f824cd86cddeb5b8ec8867b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0c4a26f451ca38acde8d28876db9a23"><td class="memItemLeft" align="right" valign="top">static const unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#ac0c4a26f451ca38acde8d28876db9a23">alexaClientSDK::kwd::test::COMPATIBLE_SAMPLE_SIZE_IN_BITS</a> = 16</td></tr>
<tr class="memdesc:ac0c4a26f451ca38acde8d28876db9a23"><td class="mdescLeft">&#160;</td><td class="mdescRight">The compatible bits per sample for Kitt.ai.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#ac0c4a26f451ca38acde8d28876db9a23">More...</a><br /></td></tr>
<tr class="separator:ac0c4a26f451ca38acde8d28876db9a23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af29d45876d2277765601e0a95c5bbde6"><td class="memItemLeft" align="right" valign="top">static const unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#af29d45876d2277765601e0a95c5bbde6">alexaClientSDK::kwd::test::COMPATIBLE_NUM_CHANNELS</a> = 1</td></tr>
<tr class="memdesc:af29d45876d2277765601e0a95c5bbde6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The compatible number of channels for Kitt.ai.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#af29d45876d2277765601e0a95c5bbde6">More...</a><br /></td></tr>
<tr class="separator:af29d45876d2277765601e0a95c5bbde6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ad359af899514845c1307098ba64681"><td class="memItemLeft" align="right" valign="top">static const auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a6ad359af899514845c1307098ba64681">alexaClientSDK::kwd::test::DEFAULT_TIMEOUT</a> = std::chrono::milliseconds(4000)</td></tr>
<tr class="memdesc:a6ad359af899514845c1307098ba64681"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timeout for expected callbacks.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a6ad359af899514845c1307098ba64681">More...</a><br /></td></tr>
<tr class="separator:a6ad359af899514845c1307098ba64681"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09c05eb80edb47ee581fcead830e8f53"><td class="memItemLeft" align="right" valign="top">static const double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a09c05eb80edb47ee581fcead830e8f53">alexaClientSDK::kwd::test::KITTAI_AUDIO_GAIN</a> = 2.0</td></tr>
<tr class="memdesc:a09c05eb80edb47ee581fcead830e8f53"><td class="mdescLeft">&#160;</td><td class="mdescRight">The audio gain to apply to the detectors so that the expected detections occur.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a09c05eb80edb47ee581fcead830e8f53">More...</a><br /></td></tr>
<tr class="separator:a09c05eb80edb47ee581fcead830e8f53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f1cc7b6ed5c0f5b0089b62feca2dcdf"><td class="memItemLeft" align="right" valign="top">static const bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a9f1cc7b6ed5c0f5b0089b62feca2dcdf">alexaClientSDK::kwd::test::KITTAI_APPLY_FRONTEND_PROCESSING</a> = false</td></tr>
<tr class="memdesc:a9f1cc7b6ed5c0f5b0089b62feca2dcdf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether to tell Kitt.ai to apply front end processing. This is false since this only works on Raspberry Pi.  <a href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a9f1cc7b6ed5c0f5b0089b62feca2dcdf">More...</a><br /></td></tr>
<tr class="separator:a9f1cc7b6ed5c0f5b0089b62feca2dcdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18ee8f11b1e84f86999a3ff045f055a3"><td class="memItemLeft" align="right" valign="top">static const double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a18ee8f11b1e84f86999a3ff045f055a3">alexaClientSDK::kwd::test::KITTAI_SENSITIVITY</a> = 0.6</td></tr>
<tr class="separator:a18ee8f11b1e84f86999a3ff045f055a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a3c04138a5bfe5d72780bb7e82a18e627"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c04138a5bfe5d72780bb7e82a18e627">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>argv</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
